Package com.saxonica.ee.trans

## Class StylesheetPackageEE

- java.lang.Object
- - net.sf.saxon.expr.PackageData
  - - net.sf.saxon.style.StylesheetPackage
    - - com.saxonica.ee.trans.StylesheetPackageEE

-     public class StylesheetPackageEE
      extends StylesheetPackage

  Subclass of StylesheetPackage for Saxon-EE

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.style.StylesheetPackage

      `defaultOutputProperties, globalContextRequirement, hiddenComponents, namedOutputProperties, overriddenComponents, schemaIndex, stripperRules`

    - ### Fields inherited from class net.sf.saxon.expr.PackageData

      `config, keyManager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StylesheetPackageEE​(Configuration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addIxslFunctionLibrary​(FunctionLibraryList functionLibrary)` |
    `void` | `export​(ExpressionPresenter presenter)` | Output the abstract expression tree to the supplied destination.
    `boolean` | `isFallbackToNonStreaming()` | Ask whether a non-streamable construct has been found, forcing the entire stylesheet to fall back to unstreamed processing
    `boolean` | `isJustInTimeCompilation()` | Ask whether the package was compiled with just-in-time compilation of template rules enabled
    `void` | `markNonExportable​(java.lang.String message, java.lang.String errorCode)` | Mark the package as non-exportable, supplying an error message to be reported if export is attempted
    `void` | `setFallbackToNonStreaming()` |
    `void` | `setJustInTimeCompilation​(boolean justInTimeCompilation)` | Say whether the package was compiled with just-in-time compilation of template rules enabled.

    - ### Methods inherited from class net.sf.saxon.style.StylesheetPackage

      `addCompletionAction, addComponent, addComponentsFromUsedPackage, addGlobalVariable, addHiddenComponent, addOverriddenComponent, addUsedPackage, allocateBinderySlots, checkForAbstractComponents, complete, contains, createFunctionLibrary, getAbstractComponents, getCharacterMapIndex, getComponent, getComponentIndex, getContextItemRequirements, getDefaultMode, getFunction, getFunctionLibrary, getMaxFunctionArity, getNamedOutputProperties, getOverriddenComponent, getPackageName, getPackageVersion, getPublicFunctions, getRuleManager, getSchemaNamespaces, getSpaceStrippingRule, getStripperRules, getUsedPackages, getVersion, getXQueryFunctionLibrary, isCreatesSecondaryResultDocuments, isDeclaredModes, isImplicitPackage, isRetainUnusedFunctions, isStripsTypeAnnotations, isStripsWhitespace, setCharacterMapIndex, setContextItemRequirements, setCreatesSecondaryResultDocuments, setDeclaredModes, setDefaultMode, setDefaultOutputProperties, setFunctionLibraryDetails, setImplicitPackage, setNamedOutputProperties, setPackageName, setPackageVersion, setRetainUnusedFunctions, setRuleManager, setStripperRules, setStripsTypeAnnotations, setStripsWhitespace, setVersion, updatePreparedStylesheet`

    - ### Methods inherited from class net.sf.saxon.expr.PackageData

      `getAccumulatorRegistry, getConfiguration, getDecimalFormatManager, getGlobalSlotManager, getGlobalVariableList, getHostLanguage, getKeyManager, getLocalLicenseId, getTargetEdition, isRelocatable, isSchemaAware, isXSLT, obtainTypeAliasManager, setAccumulatorRegistry, setConfiguration, setDecimalFormatManager, setGlobalSlotManager, setHostLanguage, setKeyManager, setLocalLicenseId, setRelocatable, setSchemaAware, setTargetEdition, setTypeAliasManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StylesheetPackageEE

          public StylesheetPackageEE​(Configuration config)

  - ### Method Detail

    - #### setFallbackToNonStreaming

          public void setFallbackToNonStreaming()

      Overrides:
        `setFallbackToNonStreaming` in class `StylesheetPackage`

    - #### markNonExportable

          public void markNonExportable​(java.lang.String message,
                                        java.lang.String errorCode)

      Mark the package as non-exportable, supplying an error message to be reported if export is attempted
      Overrides:
        `markNonExportable` in class `StylesheetPackage`
      Parameters:
        `message` - the error message to report indicating why export is not possible
        `errorCode` -

    - #### isFallbackToNonStreaming

          public boolean isFallbackToNonStreaming()

      Ask whether a non-streamable construct has been found, forcing the entire stylesheet to fall back to unstreamed processing
      Overrides:
        `isFallbackToNonStreaming` in class `StylesheetPackage`
      Returns:
        true if the stylesheet must fall back to unstreamed processing

    - #### isJustInTimeCompilation

          public boolean isJustInTimeCompilation()

      Ask whether the package was compiled with just-in-time compilation of template rules enabled
      Overrides:
        `isJustInTimeCompilation` in class `StylesheetPackage`
      Returns:
        true if just-in-time compilation was enabled when the package was compiled

    - #### setJustInTimeCompilation

          public void setJustInTimeCompilation​(boolean justInTimeCompilation)

      Say whether the package was compiled with just-in-time compilation of template rules enabled. This method is called by the compiler itself and should not be called by users.
      Overrides:
        `setJustInTimeCompilation` in class `StylesheetPackage`
      Parameters:
        `justInTimeCompilation` - set to true if just-in-time compilation was enabled when the package was compiled

    - #### export

          public void export​(ExpressionPresenter presenter)
                      throws XPathException

      Output the abstract expression tree to the supplied destination.
      Overrides:
        `export` in class `StylesheetPackage`
      Parameters:
        `presenter` - the expression presenter used to display the structure
      Throws:
        `XPathException`

    - #### addIxslFunctionLibrary

          protected void addIxslFunctionLibrary​(FunctionLibraryList functionLibrary)

      Overrides:
        `addIxslFunctionLibrary` in class `StylesheetPackage`